aagc.vo

## Class StrutturaPianoTerapeuticoResponse

- java.lang.Object
- - aagc.vo.StrutturaPianoTerapeuticoResponse

-     public class StrutturaPianoTerapeuticoResponse
      extends java.lang.Object

  Classe Java per strutturaPianoTerapeuticoResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="strutturaPianoTerapeuticoResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codTipoStruttura" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descrizioneTipoStruttura" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codiceStruttura" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="nomeStruttura" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="principiAttivi">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="principioAttivo" type="{http://www.nsisr.puglia.it/Schemas/}periodoATCResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StrutturaPianoTerapeuticoResponse.PrincipiAttivi` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `codiceStruttura`
    `protected java.lang.String` | `codTipoStruttura`
    `protected java.lang.String` | `descrizioneTipoStruttura`
    `protected java.lang.String` | `nomeStruttura`
    `protected StrutturaPianoTerapeuticoResponse.PrincipiAttivi` | `principiAttivi`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutturaPianoTerapeuticoResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCodiceStruttura()` Recupera il valore della proprietà codiceStruttura.
    `java.lang.String` | `getCodTipoStruttura()` Recupera il valore della proprietà codTipoStruttura.
    `java.lang.String` | `getDescrizioneTipoStruttura()` Recupera il valore della proprietà descrizioneTipoStruttura.
    `java.lang.String` | `getNomeStruttura()` Recupera il valore della proprietà nomeStruttura.
    `StrutturaPianoTerapeuticoResponse.PrincipiAttivi` | `getPrincipiAttivi()` Recupera il valore della proprietà principiAttivi.
    `void` | `setCodiceStruttura(int value)` Imposta il valore della proprietà codiceStruttura.
    `void` | `setCodTipoStruttura(java.lang.String value)` Imposta il valore della proprietà codTipoStruttura.
    `void` | `setDescrizioneTipoStruttura(java.lang.String value)` Imposta il valore della proprietà descrizioneTipoStruttura.
    `void` | `setNomeStruttura(java.lang.String value)` Imposta il valore della proprietà nomeStruttura.
    `void` | `setPrincipiAttivi(StrutturaPianoTerapeuticoResponse.PrincipiAttivi value)` Imposta il valore della proprietà principiAttivi.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codTipoStruttura

          protected java.lang.String codTipoStruttura

    - #### descrizioneTipoStruttura

          protected java.lang.String descrizioneTipoStruttura

    - #### codiceStruttura

          protected int codiceStruttura

    - #### nomeStruttura

          protected java.lang.String nomeStruttura

    - #### principiAttivi

          protected StrutturaPianoTerapeuticoResponse.PrincipiAttivi principiAttivi

  - ### Constructor Detail

    - #### StrutturaPianoTerapeuticoResponse

          public StrutturaPianoTerapeuticoResponse()

  - ### Method Detail

    - #### getCodTipoStruttura

          public java.lang.String getCodTipoStruttura()

      Recupera il valore della proprietà codTipoStruttura.
      Returns:
        possible object is `String`

    - #### setCodTipoStruttura

          public void setCodTipoStruttura(java.lang.String value)

      Imposta il valore della proprietà codTipoStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizioneTipoStruttura

          public java.lang.String getDescrizioneTipoStruttura()

      Recupera il valore della proprietà descrizioneTipoStruttura.
      Returns:
        possible object is `String`

    - #### setDescrizioneTipoStruttura

          public void setDescrizioneTipoStruttura(java.lang.String value)

      Imposta il valore della proprietà descrizioneTipoStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceStruttura

          public int getCodiceStruttura()

      Recupera il valore della proprietà codiceStruttura.

    - #### setCodiceStruttura

          public void setCodiceStruttura(int value)

      Imposta il valore della proprietà codiceStruttura.

    - #### getNomeStruttura

          public java.lang.String getNomeStruttura()

      Recupera il valore della proprietà nomeStruttura.
      Returns:
        possible object is `String`

    - #### setNomeStruttura

          public void setNomeStruttura(java.lang.String value)

      Imposta il valore della proprietà nomeStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getPrincipiAttivi

          public StrutturaPianoTerapeuticoResponse.PrincipiAttivi getPrincipiAttivi()

      Recupera il valore della proprietà principiAttivi.
      Returns:
        possible object is `StrutturaPianoTerapeuticoResponse.PrincipiAttivi`

    - #### setPrincipiAttivi

          public void setPrincipiAttivi(StrutturaPianoTerapeuticoResponse.PrincipiAttivi value)

      Imposta il valore della proprietà principiAttivi.
      Parameters:
        `value` - allowed object is `StrutturaPianoTerapeuticoResponse.PrincipiAttivi`